using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.UI.WebControls.Expressions;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class MethodExpression1 : System.Web.UI.Page
{
    public static IQueryable<Product>
         FiltrarProdutos(IQueryable<Product> query)
    {

        return from p in query
               where p.ProductName.StartsWith("c")
               select p;
    }
}